my $expected_version = "1.7.3";
print("import: Bio::Index::Hmmer\n");
use Bio::Index::Hmmer;

if (defined Bio::Index::Hmmer->VERSION) {
	my $given_version = Bio::Index::Hmmer->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Index::Hmmer->VERSION . '
');

}
print("import: Bio::Search::HSP::HMMERHSP\n");
use Bio::Search::HSP::HMMERHSP;

if (defined Bio::Search::HSP::HMMERHSP->VERSION) {
	my $given_version = Bio::Search::HSP::HMMERHSP->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Search::HSP::HMMERHSP->VERSION . '
');

}
print("import: Bio::Search::HSP::HmmpfamHSP\n");
use Bio::Search::HSP::HmmpfamHSP;

if (defined Bio::Search::HSP::HmmpfamHSP->VERSION) {
	my $given_version = Bio::Search::HSP::HmmpfamHSP->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Search::HSP::HmmpfamHSP->VERSION . '
');

}
print("import: Bio::Search::Hit::HMMERHit\n");
use Bio::Search::Hit::HMMERHit;

if (defined Bio::Search::Hit::HMMERHit->VERSION) {
	my $given_version = Bio::Search::Hit::HMMERHit->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Search::Hit::HMMERHit->VERSION . '
');

}
print("import: Bio::Search::Hit::HmmpfamHit\n");
use Bio::Search::Hit::HmmpfamHit;

if (defined Bio::Search::Hit::HmmpfamHit->VERSION) {
	my $given_version = Bio::Search::Hit::HmmpfamHit->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Search::Hit::HmmpfamHit->VERSION . '
');

}
print("import: Bio::Search::Hit::hmmer3Hit\n");
use Bio::Search::Hit::hmmer3Hit;

if (defined Bio::Search::Hit::hmmer3Hit->VERSION) {
	my $given_version = Bio::Search::Hit::hmmer3Hit->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Search::Hit::hmmer3Hit->VERSION . '
');

}
print("import: Bio::Search::Result::HMMERResult\n");
use Bio::Search::Result::HMMERResult;

if (defined Bio::Search::Result::HMMERResult->VERSION) {
	my $given_version = Bio::Search::Result::HMMERResult->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Search::Result::HMMERResult->VERSION . '
');

}
print("import: Bio::Search::Result::HmmpfamResult\n");
use Bio::Search::Result::HmmpfamResult;

if (defined Bio::Search::Result::HmmpfamResult->VERSION) {
	my $given_version = Bio::Search::Result::HmmpfamResult->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Search::Result::HmmpfamResult->VERSION . '
');

}
print("import: Bio::Search::Result::hmmer3Result\n");
use Bio::Search::Result::hmmer3Result;

if (defined Bio::Search::Result::hmmer3Result->VERSION) {
	my $given_version = Bio::Search::Result::hmmer3Result->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Search::Result::hmmer3Result->VERSION . '
');

}
print("import: Bio::SearchIO::hmmer\n");
use Bio::SearchIO::hmmer;

if (defined Bio::SearchIO::hmmer->VERSION) {
	my $given_version = Bio::SearchIO::hmmer->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::SearchIO::hmmer->VERSION . '
');

}
print("import: Bio::SearchIO::hmmer2\n");
use Bio::SearchIO::hmmer2;

if (defined Bio::SearchIO::hmmer2->VERSION) {
	my $given_version = Bio::SearchIO::hmmer2->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::SearchIO::hmmer2->VERSION . '
');

}
print("import: Bio::SearchIO::hmmer3\n");
use Bio::SearchIO::hmmer3;

if (defined Bio::SearchIO::hmmer3->VERSION) {
	my $given_version = Bio::SearchIO::hmmer3->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::SearchIO::hmmer3->VERSION . '
');

}
print("import: Bio::SearchIO::hmmer_pull\n");
use Bio::SearchIO::hmmer_pull;

if (defined Bio::SearchIO::hmmer_pull->VERSION) {
	my $given_version = Bio::SearchIO::hmmer_pull->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::SearchIO::hmmer_pull->VERSION . '
');

}
print("import: Bio::Tools::HMMER::Domain\n");
use Bio::Tools::HMMER::Domain;

if (defined Bio::Tools::HMMER::Domain->VERSION) {
	my $given_version = Bio::Tools::HMMER::Domain->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Tools::HMMER::Domain->VERSION . '
');

}
print("import: Bio::Tools::HMMER::Results\n");
use Bio::Tools::HMMER::Results;

if (defined Bio::Tools::HMMER::Results->VERSION) {
	my $given_version = Bio::Tools::HMMER::Results->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Tools::HMMER::Results->VERSION . '
');

}
print("import: Bio::Tools::HMMER::Set\n");
use Bio::Tools::HMMER::Set;

if (defined Bio::Tools::HMMER::Set->VERSION) {
	my $given_version = Bio::Tools::HMMER::Set->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Tools::HMMER::Set->VERSION . '
');

}
print("import: Bio::Tools::Hmmpfam\n");
use Bio::Tools::Hmmpfam;

if (defined Bio::Tools::Hmmpfam->VERSION) {
	my $given_version = Bio::Tools::Hmmpfam->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::Tools::Hmmpfam->VERSION . '
');

}
